Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 15018)
@@ -50,5 +50,5 @@
     /// <param name="deserializing"></param>
     [StorableConstructor]
-    protected CheckedItemCollection(bool deserializing) : base(deserializing) { }
+    protected CheckedItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CheckedItemCollection(CheckedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 15018)
@@ -54,5 +54,5 @@
     /// <param name="deserializing"></param>
     [StorableConstructor]
-    protected CheckedItemList(bool deserializing) : base(deserializing) { }
+    protected CheckedItemList(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CheckedItemList(CheckedItemList<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class ConstraintCollection : ItemCollection<IConstraint> {
     [StorableConstructor]
-    protected ConstraintCollection(bool deserializing) : base(deserializing) { }
+    protected ConstraintCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ConstraintCollection(ConstraintCollection original, Cloner cloner) : base(original, cloner) { }
     public ConstraintCollection() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 15018)
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected Arc(bool deserializing) : base(deserializing) { }
+    protected Arc(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public Arc(IVertex source, IVertex target) {
@@ -105,5 +105,5 @@
     }
 
-    public Arc(bool deserializing)
+    public Arc(StorableConstructorFlag deserializing)
       : base(deserializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 15018)
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected DirectedGraph(bool serializing)
+    protected DirectedGraph(StorableConstructorFlag serializing)
       : base(serializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    public Vertex(bool deserializing) : base(deserializing) { }
+    public Vertex(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     [StorableHook(HookType.AfterDeserialization)]
@@ -155,5 +155,5 @@
 
     [StorableConstructor]
-    protected Vertex(bool deserializing) : base(deserializing) { }
+    protected Vertex(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     protected Vertex(Vertex<T> original, Cloner cloner)
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemArray(bool deserializing) : base(deserializing) { }
+    protected ItemArray(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ItemArray(ItemArray<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemCollection(bool deserializing) : base(deserializing) { }
+    protected ItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ItemCollection(ItemCollection<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected ItemDictionary(bool deserializing) : base(deserializing) { }
+    protected ItemDictionary(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ItemDictionary(ItemDictionary<TKey, TValue> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemList(bool deserializing) : base(deserializing) { }
+    protected ItemList(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ItemList(ItemList<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemSet(bool deserializing) : base(deserializing) { }
+    protected ItemSet(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ItemSet(ItemSet<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected KeyedItemCollection(bool deserializing) : base(deserializing) { }
+    protected KeyedItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected KeyedItemCollection(KeyedItemCollection<TKey, TItem> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public class NamedItemCollection<T> : KeyedItemCollection<string, T> where T : class, INamedItem {
     [StorableConstructor]
-    protected NamedItemCollection(bool deserializing) : base(deserializing) { }
+    protected NamedItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected NamedItemCollection(NamedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperationCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private OperationCollection(bool deserializing) { }
+    private OperationCollection(StorableConstructorFlag deserializing) { }
     private OperationCollection(OperationCollection original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class OperatorCollection : ItemCollection<IOperator> {
     [StorableConstructor]
-    protected OperatorCollection(bool deserializing) : base(deserializing) { }
+    protected OperatorCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OperatorCollection(OperatorCollection original, Cloner cloner) : base(original, cloner) { }
     public OperatorCollection() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class OperatorList : ItemList<IOperator> {
     [StorableConstructor]
-    protected OperatorList(bool deserializing) : base(deserializing) { }
+    protected OperatorList(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OperatorList(OperatorList original, Cloner cloner) : base(original, cloner) { }
     public OperatorList() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorSet.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class OperatorSet : ItemSet<IOperator> {
     [StorableConstructor]
-    protected OperatorSet(bool deserializing) : base(deserializing) { }
+    protected OperatorSet(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OperatorSet(OperatorSet original, Cloner cloner) : base(original, cloner) { }
     public OperatorSet() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class ParameterCollection : NamedItemCollection<IParameter> {
     [StorableConstructor]
-    protected ParameterCollection(bool deserializing) : base(deserializing) { }
+    protected ParameterCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ParameterCollection(ParameterCollection original, Cloner cloner) : base(original, cloner) { }
     public ParameterCollection() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyCheckedItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyCheckedItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyCheckedItemCollection(ReadOnlyCheckedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyCheckedItemList(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyCheckedItemList(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyCheckedItemList(ReadOnlyCheckedItemList<T> original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemArray(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemArray(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyItemArray(ReadOnlyItemArray<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyItemCollection(ReadOnlyItemCollection<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemDictionary(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemDictionary(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyItemDictionary(ReadOnlyItemDictionary<TKey, TValue> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemList(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemList(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyItemList(ReadOnlyItemList<T> original, Cloner cloner)
       : base(cloner.Clone((IItemList<T>)original.list)) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemSet(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemSet(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyItemSet(ReadOnlyItemSet<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyKeyedItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyKeyedItemCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ReadOnlyKeyedItemCollection(ReadOnlyKeyedItemCollection<TKey, TItem> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ScopeList.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public sealed class ScopeList : ItemList<IScope> {
     [StorableConstructor]
-    private ScopeList(bool deserializing) : base(deserializing) { }
+    private ScopeList(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ScopeList(ScopeList original, Cloner cloner) : base(original, cloner) { }
     public ScopeList() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class ValueParameterCollection : NamedItemCollection<IValueParameter> {
     [StorableConstructor]
-    protected ValueParameterCollection(bool deserializing) : base(deserializing) { }
+    protected ValueParameterCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ValueParameterCollection(ValueParameterCollection original, Cloner cloner) : base(original, cloner) { }
     public ValueParameterCollection() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/VariableCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public sealed class VariableCollection : NamedItemCollection<IVariable> {
     [StorableConstructor]
-    private VariableCollection(bool deserializing) : base(deserializing) { }
+    private VariableCollection(StorableConstructorFlag deserializing) : base(deserializing) { }
     private VariableCollection(VariableCollection original, Cloner cloner) : base(original, cloner) { }
     public VariableCollection() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public class ComparisonConstraint : Constraint {
     [StorableConstructor]
-    protected ComparisonConstraint(bool deserializing) : base(deserializing) { }
+    protected ComparisonConstraint(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ComparisonConstraint(ComparisonConstraint original, Cloner cloner) : base(original, cloner) { }
     public ComparisonConstraint() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public abstract class Constraint : Item, IConstraint {
     [StorableConstructor]
-    protected Constraint(bool deserializing) : base(deserializing) { }
+    protected Constraint(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Constraint(Constraint original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected ConstraintOperation(bool deserializing) { }
+    protected ConstraintOperation(StorableConstructorFlag deserializing) { }
     protected ConstraintOperation(int value, string name) {
       this.value = value;
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public class EqualityConstraint : Constraint {
     [StorableConstructor]
-    protected EqualityConstraint(bool deserializing) : base(deserializing) { }
+    protected EqualityConstraint(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EqualityConstraint(EqualityConstraint original, Cloner cloner) : base(original, cloner) { }
     public EqualityConstraint() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public class TypeCompatibilityConstraint : Constraint {
     [StorableConstructor]
-    protected TypeCompatibilityConstraint(bool deserializing) : base(deserializing) { }
+    protected TypeCompatibilityConstraint(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TypeCompatibilityConstraint(TypeCompatibilityConstraint original, Cloner cloner) : base(original, cloner) { }
     public TypeCompatibilityConstraint() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Engine.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Engine.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Engine.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected Engine(bool deserializing) : base(deserializing) { }
+    protected Engine(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Engine(Engine original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Executable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Executable.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Executable.cs	(revision 15018)
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected Executable(bool deserializing) : base(deserializing) { }
+    protected Executable(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Executable(Executable original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private ExecutionContext(bool deserializing) { }
+    private ExecutionContext(StorableConstructorFlag deserializing) { }
     private ExecutionContext(ExecutionContext original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Item.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Item.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Item.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected Item(bool deserializing) { }
+    protected Item(StorableConstructorFlag deserializing) { }
     protected Item(Item original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Log.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Log.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Log.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private Log(bool deserializing) : base(deserializing) { }
+    private Log(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Log(Log original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/NamedItem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/NamedItem.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/NamedItem.cs	(revision 15018)
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected NamedItem(bool deserializing) : base(deserializing) { }
+    protected NamedItem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected NamedItem(NamedItem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 15018)
@@ -78,5 +78,5 @@
 
     [StorableConstructor]
-    protected OperatorGraph(bool deserializing) : base(deserializing) { }
+    protected OperatorGraph(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected OperatorGraph(OperatorGraph original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ParameterizedNamedItem(bool deserializing) : base(deserializing) { }
+    protected ParameterizedNamedItem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ParameterizedNamedItem(ParameterizedNamedItem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Scope.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Scope.cs	(revision 15018)
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    private Scope(bool deserializing) : base(deserializing) { }
+    private Scope(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Scope(Scope original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/ThreadSafeLog.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private ThreadSafeLog(bool deserializing) : base(deserializing) { }
+    private ThreadSafeLog(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ThreadSafeLog(ThreadSafeLog original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Core/3.3/Variable.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Core/3.3/Variable.cs	(revision 14935)
+++ branches/PersistenceReintegration/HeuristicLab.Core/3.3/Variable.cs	(revision 15018)
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    private Variable(bool deserializing) : base(deserializing) { }
+    private Variable(StorableConstructorFlag deserializing) : base(deserializing) { }
     private Variable(Variable original, Cloner cloner)
       : base(original, cloner) {
